TinyPortal

Development => Support => Installation => Topic started by: Sacrifist on December 08, 2006, 12:57:38 PM

Title: 0.9.7 error
Post by: Sacrifist on December 08, 2006, 12:57:38 PM
i got this error while trying to install on the package manager. Anything I should do to fix this?
10.   Execute Modification   ./Themes/default/index.template.php   Test failed
Title: Re: 0.9.7 error
Post by: RvG on December 08, 2006, 01:06:41 PM
maybe you have other mods installed making it for tp not to find the searched strings in index.template.php
Title: Re: 0.9.7 error
Post by: bluesman on December 08, 2006, 01:13:52 PM
i'm getting the same error
Title: Re: 0.9.7 error
Post by: G6Cad on December 08, 2006, 01:16:46 PM
Do you have any other mods installed before TP that changes the index.template.php code TP searhes for during the install ?
I suggest you make the changes to that file manually.
Title: Re: 0.9.7 error
Post by: bluesman on December 08, 2006, 01:18:27 PM
I have SMF arcade
Title: Re: 0.9.7 error
Post by: G6Cad on December 08, 2006, 01:21:12 PM
Then you have to manually edit the index.template.php file in order to get TP installed.
Look in the DOCS forum and look what code to add where, or look in the .MOD file in the tinyportal package
Title: Re: 0.9.7 error
Post by: Sacrifist on December 08, 2006, 01:22:37 PM
SMF Links
Profile User Action
Avatars at Index Mod
SMF Gallery Lite
Ad Managment
cbi, 0.5

the docs forum doesnt tell me how to change anything involving the index.template
Title: Re: 0.9.7 error
Post by: G6Cad on December 08, 2006, 01:33:30 PM
And the same answer goes to you to.
Manually install TP is the only way
Title: Re: 0.9.7 error
Post by: bluesman on December 08, 2006, 01:40:18 PM
Ok i did manual edits. It was the Arcade that caused the problem. Works swell, thanks a lot :D
Title: Re: 0.9.7 error
Post by: G6Cad on December 08, 2006, 01:48:47 PM
Glad you got it sorted :)
Title: Re: 0.9.7 error
Post by: Sacrifist on December 08, 2006, 02:07:55 PM
um, bit noob here. What are you editing and where? An example would be swell.
Title: Re: 0.9.7 error
Post by: G6Cad on December 08, 2006, 03:14:29 PM
There are a lot of both guides and how tos in the Documentation and the install board.
Please use the search and look around a bit.
Title: Re: 0.9.7 error
Post by: Sacrifist on December 08, 2006, 08:11:37 PM
ive looked at all the threads in the docs and im still having trouble understanding this. Do I just need to manually install 0.9.7 and it will work? Or do I need to edit my index.template.php file? Just a bit confused because I havent found anything in the docs about editing that file unless I want to add buttons
Title: Re: 0.9.7 error
Post by: Sacrifist on December 08, 2006, 11:08:09 PM
ok, finally got it figured out, thanks for the help G6
Title: Re: 0.9.7 error
Post by: G6Cad on December 09, 2006, 12:16:50 AM
Your welcome :)
Title: Re: 0.9.7 error
Post by: kran1um on December 16, 2006, 05:23:38 PM
Having troubles with the new installation also, I did a boo-boo and I dont know what..its kinda one of those things you try to fix but it only gets worse scenerios.

Anyway, I installed SMF1.1FInal and then Installed TP97 and get 500 errors, I uninstall TP97 and all is fine... on one theme. The TP doesnt show up on the forum copyright either, and I have no blocks.. the other themes give me errors also, just one does not. What the hell did I do?!


Also how to I integrate the database back into the new SMF if I decide to wipe everything out and start over?
Title: Re: 0.9.7 error
Post by: Nokonium on December 17, 2006, 04:04:30 AM
Were you in the default theme when you installed? That is the one you should be in because that is the one that all mods will install into. As for other themes, TP will only work with themes designed to work with TP, if they are Bloc themes you will need to install and use the TP version of that theme, if not you will need to modify the theme yourself.

If you want to use an pre-existing database with a new install the best thing to do is install just SMF, change the server settings to point to the database that you want to use and upload and run the upgrade.php and the two upgrade .sql files from SMF 1.1 final update before you install any mods. 

I cannot help on the 500 internal server error.